const Metadata = require('./metadata.js');
const React = require('react');
const Container = require('./Container.js');
const SideNav = require('./nav/SideNav.js');
const docsCategories = require('./docsCategories.js');
const siteConfig = require(process.cwd() + '/siteConfig.js');

class DocsSidebar extends React.Component {

  render() {
    return React.createElement(
      Container,
      { className: 'docsNavContainer', id: 'docsNav', wrapper: false },
      React.createElement(SideNav, {
        language: this.props.metadata.language,
        root: this.props.root,
        title: this.props.title,
        contents: docsCategories[this.props.metadata.language],
        current: this.props.metadata
      })
    );
  }
}

DocsSidebar.propTypes = {
  layout: React.PropTypes.string,
  root: React.PropTypes.string,
  title: React.PropTypes.string
};

DocsSidebar.defaultProps = siteConfig.docsSidebarDefaults;

module.exports = DocsSidebar;