const React = require('react');

class Head extends React.Component {
  render() {
    return React.createElement(
      "head",
      null,
      React.createElement("meta", { charSet: "utf-8" }),
      React.createElement("meta", { httpEquiv: "X-UA-Compatible", content: "IE=edge, chrome=1" }),
      React.createElement(
        "title",
        null,
        this.props.title
      ),
      React.createElement("meta", { name: "viewport", content: "width=device-width" }),
      React.createElement("meta", { property: "og:title", content: this.props.title }),
      React.createElement("meta", { property: "og:type", content: "website" }),
      React.createElement("meta", { property: "og:url", content: this.props.url }),
      React.createElement("meta", { property: "og:image", content: this.props.config.baseUrl + "img/opengraph.png" }),
      React.createElement("meta", { property: "og:description", content: this.props.description }),
      React.createElement("link", { rel: "apple-touch-icon", sizes: "180x180", href: this.props.config.baseUrl + "img/favicon/apple-touch-icon.png" }),
      React.createElement("link", { rel: "icon", type: "image/png", sizes: "32x32", href: this.props.config.baseUrl + "img/favicon/favicon-32x32.png" }),
      React.createElement("link", { rel: "icon", type: "image/png", sizes: "16x16", href: this.props.config.baseUrl + "img/favicon/favicon-16x16.png" }),
      React.createElement("link", { rel: "manifest", href: this.props.config.baseUrl + "img/favicon/manifest.json" }),
      React.createElement("link", { rel: "mask-icon", href: this.props.config.baseUrl + "img/favicon/safari-pinned-tab.svg", color: "#5bbad5" }),
      React.createElement("link", { rel: "shortcut icon", href: this.props.config.baseUrl + "img/favicon/favicon.ico" }),
      React.createElement("meta", { name: "msapplication-config", content: this.props.config.baseUrl + "img/favicon/browserconfig.xml" }),
      React.createElement("meta", { name: "theme-color", content: this.props.config.primaryColor }),
      React.createElement("link", { rel: "shortcut icon", href: "/img/favicon.png" }),
      React.createElement("link", { rel: "stylesheet", href: this.props.config.baseUrl + "css/main.css" }),
      React.createElement("script", { async: true, defer: true, src: "https://buttons.github.io/buttons.js" })
    );
  }
}

module.exports = Head;